Issues

Issue #74 wontfix

Downloading lua dependencies

Vlad Svoka
created an issue

Hello!

It is really hard to run your scripts, because LUA dependency "ufs" is really hard to resolve. Even google does not know anything about it... Is it possible to get link to this library?

Thank you

Comments (5)

  1. Jason McKesson repo owner

    First, it's Lua, not LUA. It's a proper name, not an acronym.

    More importantly, you shouldn't have to run any of those scripts. There are only two scripts that use UFS: BuildDistro and get_externals.

    BuildDistro is what I use to assemble the actual distribution. You should never need to do this.

    get_externals is used for downloading the SDK. The easiest way to get this is to simply download the distribution and copy the glsdk folder to your copy of the repo.

  2. Jason McKesson repo owner

    BTW, as to what UFS is, it's a filesystem library I wrote for Lua. I use it internally; it's not available on the Internet, so I can't post a link to it.

    It's basically Boost's filesystem library, where I've used SWIG to expose it to Lua. The point of it is that it is a Unicode File System (hence the name). Paths are BFS path objects, so you can perform various operations on them and so forth.

    It's not particularly big, so I might stick it in my LuaTools repo.

  3. Log in to comment